Translate

2012年9月5日水曜日

Ubuntu Server 12.04 LTS へ CloudFoundryをインストールしようとしてはまる

Ubuntu Server 12.04 LTSへ CloudFoundryサーバを
インストールしようと
https://github.com/cloudfoundry/vcap
に書いてあるとおりに、
curlをインストールした後で
bash < <(curl -s -k -B https://raw.github.com/cloudfoundry/vcap/master/dev_setup/bin/vcap_dev_setup)
を実行したら..

(略)
build-essential (11.5ubuntu2) を設定しています ...
libc-bin のトリガを処理しています ...
ldconfig deferred processing now taking place
Installing rubygems...
Installing chef...
false
ERROR:  http://rubygems.org/ does not appear to be a repository
ERROR:  could not find gem chef locally or in a repository

gemはproxyでうごかないんだよねえ..



うーん..
じゃあaptitudeのみでインストールできるか

sudo apt-add-repository ppa:cloudfoundry/ppa
sudo apt-get update
sudo apt-get install cloudfoundry-server

を実行して、
aptitudeでCloudFoundryをインストールしようとしたが、
http://ppa.launchpad.net/cloudfoundry/ppa/ubuntu/dists/
の下に precise(12.04) がはいっていなくて、
aptitude update で Hit しない..

natty(11.04)とoneric(11.10)しかディレクトリがないので
どうもLTSではaptコマンドでのインストールはできないらしい。

しょうがないのでproxyなし環境に一旦つないで
インストール完了させようとしたのだけど...

あれ?うまくいかない..

うーん、Ubuntu Server 12.04LTSじゃだめなのか..

重要なミドルウェアは
LTSでた年に対応してないと
LTSを選択した意味がないんだけどなあ..

結局あきらめてUbuntu 10.04LTSを使うことにした..
..なんだろう、この敗北感..


どなたかうまく行った人がいれば
できましたらコメント欄にて教えてください..



0 件のコメント:

TensorFlow 1.3.0 rc0 がリリースされたことを知る

今朝、Twitterのタイムラインに #TensorFlow 1.3.0rc0 has been released! Please see the release notes for details on added features and changes: htt...